/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demo.business;

import demo.model.Product;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author rosmord
 */
@Stateless
public class ShopBean {
    @PersistenceContext
    private EntityManager em;
    
    public void save(Product p) {
        em.persist(p);
    }
    
    public List<Product> getAllProducts() {
        return em.createQuery("select p from Product p").getResultList();
    }

    public Product getProduct(long id) {
        return em.find(Product.class, id);
    }
}
