/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demo.ui;

import demo.business.ShopBean;
import demo.model.Product;
import java.io.IOException;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author rosmord
 */
@WebServlet(name = "AddProduct", urlPatterns = {"/addProduct"})
public class AddProduct extends HttpServlet {
    @EJB
    private ShopBean shopBean;
    
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.getRequestDispatcher("/WEB-INF/jsp/addProductForm.jsp").forward(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String designation= req.getParameter("designation");
        double price = Double.parseDouble(req.getParameter("price"));
        shopBean.save(new Product(designation, price));
        req.getRequestDispatcher("/WEB-INF/jsp/addProductForm.jsp").forward(req, resp);
    }
    
    
    
}
